Backwards Firefox Update... Bad Firefox!

I just upgraded my Firefox and afterwards Firefox update as usual checked what plug-ins would be compatible or not...

Today Tab Mix Plus wasn't compatible and Shazam! All my tabs are lost (or at least they are gone for now, I can only assume lost to never be found again...) Not that I really had my bookmarks collection there or anything like that, but still... the tabs represented "unfinished issues".

So I just had this thought: why does Firefox upgrade first and then checks if the plug-ins will fail or not? Shouldn't it be the other way around? Firefox update should first check what plug-ins won't be compatible then ask the user if they want to hold back the upgrade, and if not, then make the upgrade?

This way I could have held back my upgrade until Tab Mix was compatible (which I am pretty sure will happen in hours or days...)

Update: I found a description on superuser.com that details how to perform the plug-in check before running Firefox update... so this becomes a "Bad Ubuntu" post instead... why doesn't the Ubuntu upgrade perform this check before just forcing Firefox on me? Ah, well...

As it turns out, the option to check for updates as the post (from 2009) states isn't even available in my Ubuntu installed Firefox. Unclear if it's available in Firefoxes not controlled by an Ubuntu install (I'll have to check on my work machine to determine that...) Or perhaps it's that I have version 17 of Firefox... maybe the option only appears when there's an update to have? - my Firefox is just updated, but still... my Ubuntu will probably not like it if I start upgrading Firefox on the side.

Update 2: Nope, once Tab Mix Plus was back in the game again, I did regain all my old tabs... and lost the new ones (ugh). Ah well... *shrug* And I didn't seem to find any way to make blockhead-Ubuntu-update ask before shooting on this one either... At least the tabs are just "on vacation" for a while whenever this happens...